Author Topic: Anonymous blocks in AutoCAd but not in BricsCAD  (Read 95 times)

0 Members and 1 Guest are viewing this topic.

Marc'Antonio Alessi

  • Swamp Rat
  • Posts: 1058
  • Marco
Anonymous blocks in AutoCAd but not in BricsCAD
« on: March 26, 2020, 05:49:45 AM »
This is a problem that I have been seeing for a couple of years or more and, this is my guess, I think it is due to the fact that the DWG with the blocks were created in AutoCAD (maybe 2014) and then opened and saved in a very old version of BriCAd (V14) ...or perhaps the opposite...
The biggest problem is that AutoCAd sees these blocks as anonymous while BricsCAD recognizes them as "normal".There is also a curious difference in "InsUnits".
Has anyone had this problem?
Code: [Select]
                         BricsCAD                            AutoCAD                                                     
; IAcadBlockReference 32630d20 : TeighaX Interface of an instance of a ; IAcadBlockReference: Interfaccia AutoCAD Block Reference (Riferimento
; Property values :        ; valori della proprietÓ:
;   Application (RO) = #<VLA-OBJECT IAcadApplication 0000000026AB7510> ;   Application (RO) = #<VLA-OBJECT IAcadApplication 00007ff77c513318>
;   Color = 256        
;   Database (RO) = #<VLA-OBJECT IAcadDatabase 000000000446F798>       
;   Document (RO) = #<VLA-OBJECT IAcadDocument 0000000092107018>       ;   Document (RO) = #<VLA-OBJECT IAcadDocument 000000004472b608>
*** EffectiveName (RO) = "RIB-REF-GN2-2SD_RemoteCooledBrine"        ;   EffectiveName (RO) = "*U18"
;   EntityName (RO) = "AcDbBlockReference"        
;   EntityTransparency = "ByLayer"        ;   EntityTransparency = "DaLayer"
;   EntityType (RO) = NIL        
;   Handle (RO) = "15199"        ;   Handle (RO) = "15199"
;   HasAttributes (RO) = -1        ;   HasAttributes (RO) = -1
;   HasExtensionDictionary (RO) = 0        ;   HasExtensionDictionary (RO) = 0>
;   Hyperlinks (RO) = #<VLA-OBJECT IAcadHyperlinks 00000000048D8408>   ;   Hyperlinks (RO) = #<VLA-OBJECT IAcadHyperlinks 0000000034b38fc8
*** InsUnits (RO) = "kKilometer"        ;   InsUnits (RO) = "Millimetri"
;   InsUnitsFactor (RO) = 1.0        ;   InsUnitsFactor (RO) = 1.0
;   InsertionPoint = (38109.9124702614 2283.86137776622 0.0)        ;   InsertionPoint = (38109.9 2283.86 0.0)
*** IsDynamicBlock (RO) = -1        ;   IsDynamicBlock (RO) = 0
;   Layer = "$LAY_NORM"        ;   Layer = "$LAY_NORM"
;   Linetype = "BYLAYER"        ;   Linetype = "BYLAYER"
;   LinetypeScale = 1.0        ;   LinetypeScale = 1.0
;   Lineweight = -1        ;   Lineweight = -1
;   Material = "ByLayer"        ;   Material = "ByLayer"
*** Name = "RIB-REF-GN2-2SD_RemoteCooledBrine"        ;   Name = "*U18"
;   Normal = (0.0 0.0 1.0)        ;   Normal = (0.0 0.0 1.0)
;   ObjectID (RO) = 1617180160        ;   ObjectID (RO) = 42
;   ObjectID32 (RO) = 1617180160        ;   ObjectID32 (RO) = 42
;   ObjectName (RO) = "AcDbBlockReference"        ;   ObjectName (RO) = "AcDbBlockReference"
;   OwnerID (RO) = 1617127872        ;   OwnerID (RO) = 43
;   OwnerID32 (RO) = 1617127872        ;   OwnerID32 (RO) = 43
;   PlotStyleName = "ByLayer"        ;   PlotStyleName = "ByLayer"
;   Rotation = 0.0        ;   Rotation = 0.0
;   TrueColor = #<VLA-OBJECT IAcadAcCmColor 000000008F599C28>        ;   TrueColor = #<VLA-OBJECT IAcadAcCmColor 0000000034b38900>
;   Visible = -1        ;   Visible = -1
;   XEffectiveScaleFactor = 1.0        ;   XEffectiveScaleFactor = 1.0
;   XScaleFactor = 1.0        ;   XScaleFactor = 1.0
;   YEffectiveScaleFactor = 1.0        ;   YEffectiveScaleFactor = 1.0
;   YScaleFactor = 1.0        ;   YScaleFactor = 1.0
;   ZEffectiveScaleFactor = 1.0        ;   ZEffectiveScaleFactor = 1.0
;   ZScaleFactor = 1.0        ;   ZScaleFactor = 1.0